#include "hash.h"
#include <stdlib.h>

HashTable::HashTable(int seed, int inxBits)
{
  numBins = (1U << inxBits);
  binMask = numBins - 1;
  
  valueTable = new ValueType[numBins];
  for ( uint32 i = 0; i < numBins; i++ )
    valueTable[i] = 0;

  srand(seed+1);
  a0 = rand64bit() & ~(1ULL);
  a1 = rand64bit() & ~(1ULL);
  b0 = rand64bit() & ~(1ULL);
  b1 = rand64bit() & ~(1ULL);
}

HashTable::~HashTable()
{
  delete[] valueTable;
}
